Skip to main content
GET
/
tickets
List all tickets
curl --request GET \
  --url https://{your-subdomain}.neetodesk.com/api/external/v2/tickets \
  --header 'X-Api-Key: <x-api-key>'
import requests

url = "https://{your-subdomain}.neetodesk.com/api/external/v2/tickets"

headers = {"X-Api-Key": "<x-api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};

fetch('https://{your-subdomain}.neetodesk.com/api/external/v2/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "tickets": [
    {
      "id": "aaaabbbb-cccc-dddd-eeee-ffff00003333",
      "number": 33,
      "subject": "How to resolve the pending payments",
      "description": "I need your help in resolving the pending payments.",
      "priority": "low",
      "status": "open",
      "created_at": "2025-12-01T10:15:00Z",
      "updated_at": "2025-12-05T14:30:00Z",
      "category": "Problem",
      "sub_category_one": "Billing",
      "sub_category_two": "Refund",
      "group": "Sales",
      "tags": [
        "refund",
        "urgent"
      ],
      "assignee": {
        "id": "aaaabbbb-cccc-dddd-eeee-ffff00001111",
        "name": "Oliver Smith",
        "email": "oliver@example.com"
      },
      "customer": {
        "id": "aaaabbbb-cccc-dddd-eeee-ffff00002222",
        "name": "John Luther",
        "email": "john@example.com",
        "phone_numbers": [
          "+1234567890"
        ]
      },
      "fields": [
        {
          "field_name": "Country",
          "field_value": "USA"
        }
      ]
    }
  ],
  "pagination": {
    "total_records": 95,
    "total_pages": 4,
    "current_page_number": 1,
    "page_size": 30
  }
}
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Query Parameters

page_number
integer

Retrieve paginated results by specifying the desired page number. If this parameter is absent, all results will be returned.

page_size
integer

Set the number of results returned in the response. Defaulting to 30 when omitted.

status
string

Filter tickets by their status. Accepts comma-separated values for multiple statuses. Default statuses include: new, open, waiting_on_customer, on_hold, closed, spam, trash. Custom statuses created in your organization are also supported. If omitted, tickets of all statuses are returned.

Example:

"open"

sort
enum<string>

Column to sort tickets by. If omitted, no sort is applied and tickets are returned in database order.

Available options:
created_at,
updated_at
Example:

"created_at"

order
enum<string>
default:asc

Direction to sort tickets in when sort is provided. Defaults to asc if omitted.

Available options:
asc,
desc
Example:

"desc"

Response

200 - application/json

OK - Request succeeded

tickets
object[]
pagination
object